# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never

setworldspawn 640 71 693
spawnpoint @a[tag=dh.t_primoGiocatore] 641 71 692
spawnpoint @a[tag=dh.t_secondoGiocatore] 640 71 694



# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_3
execute as @a[tag=dh.t_giocatori,gamemode=!adventure] run gamemode adventure @s

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] unless entity @s[x=630,y=72.5,z=698,dx=4.5,dy=3,dz=5] run tp @s 631.0 72 701.0

# Morte Giocatore
execute as @a[tag=dh.t_giocatori] if entity @s[x=530,y=10,z=580,dx=190,dy=2,dz=210] unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if entity @e[tag=dh.t_giocatoreFinto,tag=!dh.t_ritornoLivelli,type=armor_stand] run tellraw @s {"translate":"\n%s Una magia sconosciuta non ti permette di allontanarti dall'isola.","with":[{"text":"<F4bioFuri4>","color":"blue"}]}
execute as @a[tag=dh.t_giocatori] if entity @s[x=530,y=10,z=580,dx=190,dy=2,dz=210] unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if entity @e[tag=dh.t_giocatoreFinto,tag=!dh.t_ritornoLivelli,type=armor_stand] at @s run playsound minecraft:block.beehive.exit ambient @s ~ ~ ~ 10 2
execute as @a[tag=dh.t_primoGiocatore] if entity @s[x=530,y=10,z=580,dx=190,dy=2,dz=210] unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,tag=!dh.t_ritornoLivelli,type=armor_stand] if entity @e[tag=dh.t_giocatoreFinto,tag=!dh.t_ritornoLivelli,type=armor_stand] run tp @s 641 71 692 70 0
execute as @a[tag=dh.t_secondoGiocatore] if entity @s[x=530,y=10,z=580,dx=190,dy=2,dz=210] unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,tag=!dh.t_ritornoLivelli,type=armor_stand] if entity @e[tag=dh.t_giocatoreFinto,tag=!dh.t_ritornoLivelli,type=armor_stand] run tp @s 640 71 694 70 0

execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] if entity @s[x=530,y=15,z=580,dx=190,dy=2,dz=210] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s voleva imparare a volare, ma non ci è riuscito.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori] if entity @s[x=530,y=15,z=580,dx=190,dy=2,dz=210] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] run kill @s

execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] if entity @s[x=530,y=15,z=580,dx=190,dy=2,dz=210] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s voleva imparare a volare, ma non ci è riuscito.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori] if entity @s[x=530,y=15,z=580,dx=190,dy=2,dz=210] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] run kill @s

execute if entity @a[tag=dh.t_primoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl9.1G dh.o_morti 1
execute if entity @a[tag=dh.t_secondoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl9.2G dh.o_morti 1



# Entità e Blocchi
function dh.c_i_15_tesori_minecraftiani:dh.c1_i_livello_9/dh.f.b_entita_blocchi

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c1_i_livello_9/dh.f.c_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c1_i_livello_9/dh.f.d_effetti



# CB Titolo
execute if block 635 63 692 minecraft:red_wool run data merge block 636 63 689 {auto:1b}

# CB Indizio e Easter Egg
execute if block 633 71 696 #minecraft:buttons[powered=true] run data merge block 637 63 689 {auto:1b}

execute if entity @e[tag=!dh.t_easterEgg,type=rabbit] run data merge block 637 63 689 {auto:1b}

# Obiettivo Extra
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/i_extra9=false},nbt={Inventory:[{id:"minecraft:crimson_fungus"}]}] at @a[tag=dh.t_giocatori] run playsound ui.toast.challenge_complete ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 2
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/i_extra9=false},nbt={Inventory:[{id:"minecraft:crimson_fungus"}]}] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:extra/i_extra9



# CB Discorsi
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_partiDiscorso,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=627,y=70,z=706,distance=..12] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso1
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso1,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=638,y=59,z=676,distance=..2] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso1,type=armor_stand] run data merge block 638 63 689 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso2,type=armor_stand] run data merge block 638 63 689 {auto:1b}

# CB Discorso Prerichiesta
execute unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 634 69 717 #minecraft:buttons[powered=true] run data merge block 639 63 689 {auto:1b}
execute unless score #Reliquia9 dh.o_reliquie matches 1 if block 633 82 719 #minecraft:buttons[powered=true] run data merge block 639 63 689 {auto:1b}



# CB Reliquia
execute as @e[tag=dh.t_tramoggia9,type=hopper_minecart,nbt={Items:[{Count:1b}]}] run data merge block 641 63 689 {auto:1b}

# CB Anima Aria
execute if entity @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..}] run data merge block 642 63 689 {auto:1b}



# CB Reset Oggetti
execute if block 644 73 691 #minecraft:buttons[powered=true] run data merge block 643 63 689 {auto:1b}

# Disattiva CB Timer Reset Oggetti
execute if score #ResetOggetti9 dh.o_tempoScorre matches 6000 run setblock 644 73 691 minecraft:oak_button[face=wall,facing=west]
execute if score #ResetOggetti9 dh.o_tempoScorre matches 6000 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_riavvioTimerResetOgg
execute if score #ResetOggetti9 dh.o_tempoScorre matches 6000 run data merge block 646 63 689 {auto:0b}

# Cartello Reset Oggetti
execute if block 644 73 691 minecraft:oak_wall_sign run data merge block 644 73 691 {Text3:'{"translate":"%s:%s","color":"red","with":[{"score":{"name":"#ResetOggMinuti","objective":"dh.o_tempoSecLvl"}},{"score":{"name":"#ResetOggSecondi","objective":"dh.o_tempoSecLvl"}}]}'}



# CB Pulsanti (Finto, Primo Tp, Secondo Tp)
execute if block 598 84 659 #minecraft:buttons[powered=true] run data merge block 644 63 689 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 634 69 717 #minecraft:buttons[powered=true] run data merge block 644 63 689 {auto:1b}

execute if block 633 82 719 #minecraft:buttons[powered=true] if score #Reliquia9 dh.o_reliquie matches 1 run data merge block 644 63 689 {auto:1b}



# Ritorno al Livello
execute if block 642 63 692 minecraft:red_wool if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] run data merge block 645 63 689 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 642 63 692 minecraft:yellow_wool unless score #Reliquia9 dh.o_reliquie matches 1 if entity @a[tag=dh.t_giocatori,scores={dh.o_tempoSecLvl=420}] unless entity @e[tag=dh.t_cassaReliquia9,type=magma_cube] run summon minecraft:magma_cube 635 54 710 {Invulnerable:1b,NoAI:1b,Silent:1b,PersistenceRequired:1b,Size:1,ActiveEffects:[{Id:14,ShowParticles:0b,Duration:1000000},{Id:24,ShowParticles:0b,Duration:1000000}],Tags:["dh.t_cassaReliquia9"]}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 642 63 692 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia9,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=640,y=51,z=713,distance=..1.5] run effect clear @e[tag=dh.t_cassaReliquia9,type=magma_cube] glowing
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 642 63 692 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia9,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=640,y=51,z=713,distance=..1.5] at @e[tag=dh.t_cassaReliquia9,type=magma_cube] run tp @e[tag=dh.t_cassaReliquia9,type=magma_cube] ~ ~-100 ~
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 642 63 692 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia9,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=640,y=51,z=713,distance=..1.5] run data merge entity @e[tag=dh.t_cassaReliquia9,type=magma_cube,limit=1] {NoAI:0b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 642 63 692 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia9,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=640,y=51,z=713,distance=..1.5] run setblock 642 63 692 minecraft:lime_wool