# Peronaggio
execute if entity @e[tag=dh.t_aviatore,type=armor_stand,nbt=!{CustomNameVisible:1b}] run data merge entity @e[tag=dh.t_aviatore,type=armor_stand,limit=1] {CustomNameVisible:1b}
execute if entity @e[tag=dh.t_capoOperaio,type=armor_stand,nbt=!{CustomNameVisible:1b}] run data merge entity @e[tag=dh.t_capoOperaio,type=armor_stand,limit=1] {CustomNameVisible:1b}

# Poster Puzzle
execute as @a[tag=dh.t_giocatori] unless score #Poster13 dh.o_tagliasassi matches 1 if score @s dh.o_tagliasassi matches 1 at @s run playsound minecraft:ui.loom.take_result ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 1.3
execute as @a[tag=dh.t_giocatori] unless score #Poster13 dh.o_tagliasassi matches 1 if score @s dh.o_tagliasassi matches 1 run give @s filled_map{HideFlags:32,map:190,display:{Name:'{"text":"Pezzo Puzzle #13","color":"yellow","italic":false}'}}
execute as @a[tag=dh.t_giocatori] unless score #Poster13 dh.o_tagliasassi matches 1 if score @s dh.o_tagliasassi matches 1 run scoreboard players set #Poster13 dh.o_tagliasassi 1

# Vasetti
execute as @e[tag=dh.t_orchidea13,type=area_effect_cloud] at @s unless block ~ ~ ~ minecraft:potted_blue_orchid run setblock ~ ~ ~ minecraft:potted_blue_orchid

# Scale
execute if block 722 42 -177 minecraft:air run setblock 722 42 -177 minecraft:ladder[facing=west]
execute if block 724 42 -177 minecraft:air run setblock 724 42 -177 minecraft:ladder[facing=east]
execute if block 723 42 -176 minecraft:air run setblock 723 42 -176 minecraft:ladder[facing=south]

# Coniglio
execute as @e[tag=dh.t_coniglio13,type=rabbit] at @s facing entity @p[tag=dh.t_giocatori,distance=..5] eyes run tp @s ~ ~ ~ ~ ~

# Item Giocatore
execute as @a[tag=dh.t_giocatori,tag=!dh.t_noStivali] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_velocitaAttiva,type=armor_stand] if score @s dh.o_velocita matches 0 run replaceitem entity @s armor.feet minecraft:leather_boots{HideFlags:6,Unbreakable:1b,display:{Lore:['{"text":"Quando questi stivali sono tenuti","color":"red"}','{"text":"ai piedi, aumentano la velocità di","color":"red"}','{"text":"chi li indossa.","color":"red"}'],Name:'{"text":"Stivali del Cercatore","color":"gray","italic":false}'}}
execute as @a[tag=dh.t_giocatori,tag=!dh.t_noStivali] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_velocitaAttiva,type=armor_stand] if score @s dh.o_velocita matches 2.. run clear @s minecraft:leather_boots{display:{Name:'{"text":"Stivali del Cercatore","color":"gray","italic":false}'}} 1
execute as @a[tag=dh.t_giocatori] run attribute @s generic.armor base set -7

kill @e[type=item,nbt={Item:{id:"minecraft:leather_boots",tag:{display:{Name:'{"text":"Stivali del Cercatore","color":"gray","italic":false}'}}}}]
kill @e[type=item,nbt={Item:{id:"minecraft:white_concrete_powder"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:ladder"}}]

clear @a[tag=dh.t_giocatori] minecraft:barrier
clear @a[tag=dh.t_giocatori] minecraft:red_banner
clear @a[tag=dh.t_giocatori] minecraft:yellow_banner
clear @a[tag=dh.t_giocatori] minecraft:white_banner
clear @a[tag=dh.t_giocatori] minecraft:purple_banner
clear @a[tag=dh.t_giocatori] minecraft:light_blue_banner
clear @a[tag=dh.t_giocatori] minecraft:paper
clear @a[tag=dh.t_giocatori] minecraft:black_dye
clear @a[tag=dh.t_giocatori] minecraft:book
clear @a[tag=dh.t_giocatori] minecraft:potato
clear @a[tag=dh.t_giocatori] minecraft:bread
clear @a[tag=dh.t_giocatori] minecraft:salmon
clear @a[tag=dh.t_giocatori] minecraft:red_stained_glass_pane
clear @a[tag=dh.t_giocatori] minecraft:white_stained_glass_pane
clear @a[tag=dh.t_giocatori] minecraft:pink_stained_glass_pane

execute as @a[tag=dh.t_giocatori,nbt={SelectedItem:{id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}'}}}}] run replaceitem entity @s weapon.mainhand minecraft:rabbit_spawn_egg{display:{Name:'{"text":""}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[gray_wool,gray_stained_glass]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.0 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[gray_wool,gray_stained_glass]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:1b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.1 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[gray_wool,gray_stained_glass]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:2b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.2 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[gray_wool,gray_stained_glass]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:3b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.3 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[gray_wool,gray_stained_glass]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:4b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.4 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[gray_wool,gray_stained_glass]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:5b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.5 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[gray_wool,gray_stained_glass]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:6b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.6 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[gray_wool,gray_stained_glass]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:7b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.7 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[gray_wool,gray_stained_glass]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:8b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.8 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[gray_wool,gray_stained_glass]}