# Raccolta Oggetto Qualsiasi e Reliquia
execute if entity @a[tag=dh.t_giocatori,nbt={Inventory:[{id:"minecraft:iron_door",Count:1b,tag:{display:{Name:'{"text":"Portale del Regno di Minecraft","color":"red","italic":false}'}}}]}] if block 186 60 -618 minecraft:red_wool run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s Hai appena trovato una Reliquia e un Oggetto Qualsiasi. La Reliquia è un Tesoro Minecraftiano, si differenzia da un Oggetto Qualsiasi per il fatto che ha il nome rosso e una descrizione, è incantata e si può trovare solo dentro un reliquiario, il suo contenitore. Prova a gettare nel calderone con acqua un Oggetto Qualsiasi.","with":[{"text":"<DragonHeart104>","color":"gold"}]}
execute if entity @a[tag=dh.t_giocatori,nbt={Inventory:[{id:"minecraft:iron_door",Count:1b,tag:{display:{Name:'{"text":"Portale del Regno di Minecraft","color":"red","italic":false}'}}}]}] if block 186 60 -618 minecraft:red_wool at @a[tag=dh.t_giocatori] run playsound minecraft:block.beehive.exit ambient @a[tag=dh.t_giocatori] ~ ~ ~ 10 2
execute if entity @a[tag=dh.t_giocatori,nbt={Inventory:[{id:"minecraft:iron_door",Count:1b,tag:{display:{Name:'{"text":"Portale del Regno di Minecraft","color":"red","italic":false}'}}}]}] if block 186 60 -618 minecraft:red_wool run setblock 186 60 -618 minecraft:lime_wool



# Controllo Tramoggia
execute as @e[tag=dh.t_tramoggiaIsola,type=hopper_minecart,nbt={Items:[{Count:1b}]}] run tag @a[tag=dh.t_giocatori] add dh.t_oggettoInCalderone
execute as @e[tag=dh.t_tramoggiaIsola,type=hopper_minecart,nbt={Items:[{id:"minecraft:iron_door",tag:{display:{Name:'{"text":"Portale del Regno di Minecraft","color":"red","italic":false}'}}}]}] run tag @a[tag=dh.t_giocatori] add dh.t_reliquiaInCalderone
execute as @e[tag=dh.t_tramoggiaIsola,type=hopper_minecart,nbt={Items:[{Count:1b}]}] run data merge entity @s {Items:[{}]}

# Effetti Calderone
execute if entity @a[tag=dh.t_giocatori,tag=dh.t_oggettoInCalderone] run particle minecraft:witch 187 64 -618 0.2 0.5 0.2 0.01 100
execute if entity @a[tag=dh.t_giocatori,tag=dh.t_oggettoInCalderone] run playsound entity.ender_eye.death ambient @a 187 62 -618 2 1
execute if entity @a[tag=dh.t_giocatori,tag=dh.t_oggettoInCalderone] run setblock 187 62 -618 minecraft:cauldron
execute if entity @a[tag=dh.t_giocatori,tag=dh.t_oggettoInCalderone] run summon minecraft:area_effect_cloud 187 62 -618 {Particle:"minecraft:ambient_entity_effect",Duration:92,Tags:["dh.t_esempioCalderone"]}
execute if entity @a[tag=dh.t_giocatori,tag=dh.t_oggettoInCalderone] run tag @a[tag=dh.t_oggettoInCalderone] remove dh.t_oggettoInCalderone

execute if entity @e[tag=dh.t_esempioCalderone,type=area_effect_cloud,nbt={Age:1}] run kill @e[tag=dh.t_tramoggiaIsola,type=hopper_minecart]
execute if entity @e[tag=dh.t_esempioCalderone,type=area_effect_cloud,nbt={Age:10}] run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s Stiamo controllando l'oggetto. Ti preghiamo di aspettare qualche secondo.","with":[{"text":"<DragonHeart104>","color":"gold"}]}
execute if entity @e[tag=dh.t_esempioCalderone,type=area_effect_cloud,nbt={Age:10}] at @a[tag=dh.t_giocatori] run playsound minecraft:block.beehive.exit ambient @a[tag=dh.t_giocatori] ~ ~ ~ 10 2



# Discorso Oggetto Qualsiasi
execute if entity @e[tag=dh.t_esempioCalderone,type=area_effect_cloud,nbt={Age:80}] if entity @a[tag=dh.t_giocatori,tag=!dh.t_reliquiaInCalderone] run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s Avendo gettato nel calderone un Oggetto Qualsiasi, non è accaduto niente. Hai semplicemente perso l'oggetto in questione, dato che non tornerà indietro. Quindi stai attento a ciò che getti nel calderone. Questo infatti svolgerà il suo compito se al suo interno ci finirà la Reliquia. Dunque getta adesso la Reliquia.","with":[{"text":"<DragonHeart104>","color":"gold"}]}
execute if entity @e[tag=dh.t_esempioCalderone,type=area_effect_cloud,nbt={Age:80}] if entity @a[tag=dh.t_giocatori,tag=!dh.t_reliquiaInCalderone] at @a[tag=dh.t_giocatori] run playsound minecraft:block.beehive.exit ambient @a[tag=dh.t_giocatori] ~ ~ ~ 10 2

# Riattivazione Calderone
execute if entity @e[tag=dh.t_esempioCalderone,type=area_effect_cloud,nbt={Age:80}] if entity @a[tag=dh.t_giocatori,tag=!dh.t_reliquiaInCalderone] run setblock 187 62 -618 minecraft:cauldron[level=1]
execute if entity @e[tag=dh.t_esempioCalderone,type=area_effect_cloud,nbt={Age:85}] if entity @a[tag=dh.t_giocatori,tag=!dh.t_reliquiaInCalderone] run setblock 187 62 -618 minecraft:cauldron[level=2]
execute if entity @e[tag=dh.t_esempioCalderone,type=area_effect_cloud,nbt={Age:90}] if entity @a[tag=dh.t_giocatori,tag=!dh.t_reliquiaInCalderone] run setblock 187 62 -618 minecraft:cauldron[level=3]
execute if entity @e[tag=dh.t_esempioCalderone,type=area_effect_cloud,nbt={Age:90}] if entity @a[tag=dh.t_giocatori,tag=!dh.t_reliquiaInCalderone] run summon minecraft:hopper_minecart 187 61 -618 {Invulnerable:1b,Tags:["dh.t_carrelloIsola"]}
execute if entity @e[tag=dh.t_esempioCalderone,type=area_effect_cloud,nbt={Age:91}] if entity @a[tag=dh.t_giocatori,tag=!dh.t_reliquiaInCalderone] run tag @e[tag=dh.t_carrelloIsola,type=hopper_minecart] add dh.t_tramoggiaIsola



# Discorso Reliquia
execute if entity @e[tag=dh.t_esempioCalderone,type=area_effect_cloud,nbt={Age:80}] if entity @a[tag=dh.t_giocatori,tag=dh.t_reliquiaInCalderone] run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s Reliquia riconosciuta. Quando ne getti una dentro il calderone, ci farai capire effettivamente che l'hai trovata, perciò noi agiremo di conseguenza. Avendo il calderone svolto il suo compito, si è svuotato e non è più funzionante. Attento a non perdere la reliquia, sennò ti toccherà attivare il reset di tutti gli oggetti. Infine ricorda: puoi gettare un solo oggetto alla volta nel calderone, per darci il tempo di analizzarlo. Se hai già premuto i pulsanti dietro di te, sei pronto per accedere al Regno di Minecraft. Buona fortuna, Cercatore di Tesori.","with":[{"text":"<DragonHeart104>","color":"gold"}]}
execute if entity @e[tag=dh.t_esempioCalderone,type=area_effect_cloud,nbt={Age:80}] if entity @a[tag=dh.t_giocatori,tag=dh.t_reliquiaInCalderone] at @a[tag=dh.t_giocatori] run playsound minecraft:block.beehive.exit ambient @a[tag=dh.t_giocatori] ~ ~ ~ 10 2
execute if entity @e[tag=dh.t_esempioCalderone,type=area_effect_cloud,nbt={Age:90}] if entity @a[tag=dh.t_giocatori,tag=dh.t_reliquiaInCalderone] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:reliquie/root

# Disattiva CB Esempio Reliquia
execute if entity @e[tag=dh.t_esempioCalderone,type=area_effect_cloud,nbt={Age:91}] if entity @a[tag=dh.t_giocatori,tag=dh.t_reliquiaInCalderone] run data merge block 189 60 -616 {auto:0b}
execute if entity @e[tag=dh.t_esempioCalderone,type=area_effect_cloud,nbt={Age:91}] if entity @a[tag=dh.t_giocatori,tag=dh.t_reliquiaInCalderone] run tag @a[tag=dh.t_reliquiaInCalderone] remove dh.t_reliquiaInCalderone